package:
  image: mcr.microsoft.com/dotnet/sdk:8.0
  script:
    - cd UniLua
    - dotnet restore
    - dotnet build -c Release
    - dotnet pack -c Release
    - dotnet nuget add source "${CI_API_V4_URL}/projects/53181760/packages/nuget/index.json" --name gitlab --username gitlab-ci-token --password $CI_JOB_TOKEN --store-password-in-clear-text
    - dotnet nuget push "bin/Release/*.nupkg" --source gitlab
  only:
    - master
